Subject: Re: [PATCH net-next v4 00/10] selftests: drivers: bash support for remote traffic generators

From: Jakub Kicinski <[email-masked]>
Date: Fri, 27 Mar 2026 17:24:54 -0700

On Fri, 27 Mar 2026 09:32:22 +0200 Ioana Ciornei wrote:
> On Thu, Mar 26, 2026 at 12:03:42PM -0700, Jakub Kicinski wrote:
> > On Thu, 26 Mar 2026 15:28:18 +0200 Ioana Ciornei wrote:  
> > > This patch set aims to add the necessary support so that bash written
> > > selftests are also able to easily run with a remote traffic generator
> > > system, either be it in another netns or one accessible through ssh.
> > > 
> > > This patch set is a result of the discussion from v1:
> > > https://lore.kernel.org/all/[email-masked]/
> > > Even though the python infrastructure is already established, some
> > > things are easier in bash and it would be a shame to leave behind the
> > > bash tests that we already have.  
> > 
> > I think this introduces a bunch of regressions, eg:
> > 
> > https://netdev-ctrl.bots.linux.dev/logs/vmksft/forwarding/results/575622/4-local-termination-sh/stdout
> > 
> > https://netdev-ctrl.bots.linux.dev/logs/vmksft/netdevsim/results/575802/18-netcons-resume-sh/stdout  
> 
> I cannot reproduce this unfortunately. For example, local_termination.sh
> gives me the following result with the exact patches that I submitted.
> Any idea on what might be the difference?

Hm, the system that runs this on our end is:

# cat /etc/redhat-release 
Fedora release 43 (Forty Three)

And it has this added on top of default install:

# cat /etc/systemd/network/99-default.link
[Match]
OriginalName=*

[Link]
NamePolicy=keep kernel database onboard slot path
AlternativeNamesPolicy=database onboard slot path mac
MACAddressPolicy=none